//
// Created by sebastian on 10.02.26.
//

#ifndef DICEWARS_SIEDLER_UIRENDERBUNDLE_H
#define DICEWARS_SIEDLER_UIRENDERBUNDLE_H
#include <memory>
#include <vector>

#include "../../../renderer/model/GUIText.h"

class UiText;
#include "../../../renderer/model/GUITexture.h"


class UiRenderBundle {
public:
    void addText(UiText* text) {
        texts.push_back(text);
    }

    void addGUITexture(const std::shared_ptr<GUITexture>& guiTexture) {
        guiImages.push_back(guiTexture);
    }

    std::vector<std::shared_ptr<GUITexture>> getGUITextures() {
        return guiImages;
    }

    std::vector<UiText*> getTexts() {
        return texts;
    }

    void addGUIText(const std::shared_ptr<GUIText>& guiText) {
        guiTexts.push_back(guiText);
    }

    std::vector<std::shared_ptr<GUIText>> getGUITexts() {
        return guiTexts;
    }

private:
    std::vector<std::shared_ptr<GUITexture>> guiImages;
    std::vector<UiText*> texts;
    std::vector<std::shared_ptr<GUIText>> guiTexts;


};


#endif //DICEWARS_SIEDLER_UIRENDERBUNDLE_H